Bug 1126806 - core: off_t/size_t confusion, 32-bit fmt string cleanup
Summary: core: off_t/size_t confusion, 32-bit fmt string cleanup
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kaleb KEITHLEY
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 10:56 UTC by Kaleb KEITHLEY
Modified: 2015-12-01 16:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-11 13:12:14 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Kaleb KEITHLEY 2014-08-05 10:56:04 UTC
Description of problem:

This started out as an attempt to get rid of the compile warnings on 32-bit remaining after http://review.gluster.org/8105.

Along the way I noticed some "size" types that used off_t where they ought to have used size_t. And some inconsistent casting of "ctx" in several translators.

It's not possible to eliminate all the 32-bit compiler warnings as autoconf/automake default to add -Wint-to-pointer-cast and -Wpointer-to-int-cast.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Anand Avati 2014-08-05 10:59:11 UTC
REVIEW: http://review.gluster.org/8412 (core: off_t/size_t confusion, 32-bit fmt string cleanup, etc.) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 2 Anand Avati 2014-08-18 11:38:32 UTC
REVIEW: http://review.gluster.org/8412 (core: off_t/size_t confusion, 32-bit fmt string cleanup, etc.) posted (#4) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)


Note You need to log in before you can comment on or make changes to this bug.